Public Class UpdateOrAppendWndV

   Private WithEvents m_UpdateOrAppendWndVM As UpdateOrAppendWndVM

   Sub New(Owner As Window, UpdateOrAppendWndVM As UpdateOrAppendWndVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = UpdateOrAppendWndVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_UpdateOrAppendWndVM = UpdateOrAppendWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_UpdateOrAppendWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
